GNU logs - #9365, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9365: TR operates on bytes, not characters
Resent-From: "Urmas" <davian818@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Thu, 25 Aug 2011 04:51:01 +0000
Resent-Message-ID: <handler.9365.B.13142478601997 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 9365
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 9365 <at> debbugs.gnu.org
X-Debbugs-Original-To: <bug-coreutils@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.13142478601997
          (code B ref -1); Thu, 25 Aug 2011 04:51:01 +0000
Received: (at submit) by debbugs.gnu.org; 25 Aug 2011 04:51:00 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QwRu7-0000W9-4V
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2011 00:51:00 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <davian818@HIDDEN>) id 1QwPHY-00068j-EH
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2011 22:03:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <davian818@HIDDEN>) id 1QwPF1-00020A-GG
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2011 22:00:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.5 required=5.0 tests=BAYES_00,
	FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, RCVD_IN_DNSWL_LOW,
	T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:49848)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <davian818@HIDDEN>) id 1QwPF1-000206-Em
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2011 22:00:23 -0400
Received: from eggs.gnu.org ([140.186.70.92]:39171)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <davian818@HIDDEN>) id 1QwPF0-0007Hy-IL
	for bug-coreutils@HIDDEN; Wed, 24 Aug 2011 22:00:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <davian818@HIDDEN>) id 1QwPEz-0001zu-HS
	for bug-coreutils@HIDDEN; Wed, 24 Aug 2011 22:00:22 -0400
Received: from mail-wy0-f169.google.com ([74.125.82.169]:39531)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <davian818@HIDDEN>) id 1QwPEz-0001zl-DH
	for bug-coreutils@HIDDEN; Wed, 24 Aug 2011 22:00:21 -0400
Received: by wyi11 with SMTP id 11so1514450wyi.0
	for <bug-coreutils@HIDDEN>; Wed, 24 Aug 2011 19:00:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=message-id:from:to:subject:date:mime-version:content-type
	:content-transfer-encoding:x-priority:x-msmail-priority:importance
	:x-mailer:x-mimeole;
	bh=YAD9HsSG/49e/kjCzAHrXXzZ/6ghsErT0E4dJfh0WYY=;
	b=U1GvgaLCR7DJUUpLU8np7i4iOTljG3q76QTSvKZjk5uAzhpBwesucnQWkSFkZ9cYTl
	PJJWchGzi+eQw9j7z4QkIOjeol8apGoNfSeS9nzj46CL+DtebRlEPuK8kmv27duu5Xr5
	jXJbkXifI79Y7w7PJT4WmIFAwUeK+2V5/AQa4=
Received: by 10.227.135.142 with SMTP id n14mr943314wbt.84.1314237620246;
	Wed, 24 Aug 2011 19:00:20 -0700 (PDT)
Received: from sandy (l49-18-203.cn.ru [178.49.18.203])
	by mx.google.com with ESMTPS id n20sm61392wbh.33.2011.08.24.19.00.15
	(version=SSLv3 cipher=OTHER); Wed, 24 Aug 2011 19:00:19 -0700 (PDT)
Message-ID: <95F385CFAFAF4C3886AF4F8C513EDB02@sandy>
From: "Urmas" <davian818@HIDDEN>
Date: Thu, 25 Aug 2011 09:01:14 +0700
MIME-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: base64
X-Priority: 3
X-MSMail-Priority: Normal
Importance: Normal
X-Mailer: Microsoft Windows Live Mail 14.0.8117.416
X-MimeOLE: Produced By Microsoft MimeOLE V14.0.8117.416
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Mailman-Approved-At: Thu, 25 Aug 2011 00:50:57 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.1 (----)

W2NvcmV1dGlscyA4LjVdDQp0ciBpcyB0cmVhdGluZyBVVEYtOCBjaGFyYWN0ZXJzIGluIFNFVDEv
U0VUMiBhcyBieXRlIHNlcXVlbmNlcy4NCkNvcnJlY3QgZWl0aGVyICB0aGlzLCBvciBtYW51YWws
IHdoaWNoIHN0YXRlcyB0aGF0IFNFVDEvMiBhcmUgb2YgJ2NoYXJhY3RlcnMnLCBub3QgYnl0ZXMu
DQog





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Urmas" <davian818@HIDDEN>
Subject: bug#9365: Acknowledgement (TR operates on bytes, not characters)
Message-ID: <handler.9365.B.13142478601997.ack <at> debbugs.gnu.org>
References: <95F385CFAFAF4C3886AF4F8C513EDB02@sandy>
X-Gnu-PR-Message: ack 9365
X-Gnu-PR-Package: coreutils
Reply-To: 9365 <at> debbugs.gnu.org
Date: Thu, 25 Aug 2011 04:51:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 9365 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
9365: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D9365
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#9365: Example
References: <95F385CFAFAF4C3886AF4F8C513EDB02@sandy>
In-Reply-To: <95F385CFAFAF4C3886AF4F8C513EDB02@sandy>
Resent-From: "Marton Kadar" <marton.kadar@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Fri, 24 Feb 2012 17:30:02 +0000
Resent-Message-ID: <handler.9365.B9365.133010459516755 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 9365
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 9365 <at> debbugs.gnu.org
Received: via spool by 9365-submit <at> debbugs.gnu.org id=B9365.133010459516755
          (code B ref 9365); Fri, 24 Feb 2012 17:30:02 +0000
Received: (at 9365) by debbugs.gnu.org; 24 Feb 2012 17:29:55 +0000
Received: from localhost ([127.0.0.1]:54411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S0yxs-0004M8-3f
	for submit <at> debbugs.gnu.org; Fri, 24 Feb 2012 12:29:54 -0500
Received: from mailout-us.gmx.com ([74.208.5.67]:55786
	helo=mailout-us.mail.com) by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <marton.kadar@HIDDEN>) id 1S0w1V-0007nU-Fp
	for 9365 <at> debbugs.gnu.org; Fri, 24 Feb 2012 09:21:27 -0500
Received: (qmail 10368 invoked by uid 0); 24 Feb 2012 14:18:25 -0000
Received: from 145.236.252.34 by rms-us005.v300.gmx.net with HTTP
Content-Type: text/plain; charset="utf-8"
Date: Fri, 24 Feb 2012 09:18:24 -0500
From: "Marton Kadar" <marton.kadar@HIDDEN>
Message-ID: <20120224141824.107150@HIDDEN>
MIME-Version: 1.0
X-Authenticated: #77717673
X-Flags: 0001
X-Mailer: GMX.com Web Mailer
x-registered: 0
Content-Transfer-Encoding: 8bit
X-GMX-UID: Z/k1b79I3zOlOMiDynAha7l+IGRvb4A/
X-Spam-Score: -1.9 (-)
X-Mailman-Approved-At: Fri, 24 Feb 2012 12:29:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Environment for Hungary where á and í are proper lowercase letters
but for example Spanish has these letters too:

$ set | grep ^L
LANG=hu_HU.UTF-8
LC_ALL=hu_HU.UTF-8
LINES=73
LOGNAME=kadar1marto518

Now let's see the bytestream for the following string
(which means flood in Hungarian):

$ echo árvíz | od -c
0000000 303 241   r   v 303 255   z  \n
0000010

Let us try to delete a character and see if it worked:

$ echo árvíz | tr -d á | od -c
0000000   r   v 255   z  \n
0000005

Correct expected behavior would rather be:

$ echo árvíz | tr -d á | od -c
0000000   r   v 303 255   z  \n
0000006

I'll check the source for tr myself although never coded in C.
This should be a trivial fix. The problem is especially annoying
as we currently have no real simple and good general purpose case
conversion tool. (correct me if I'm wrong, but tr should be this
tool).

Marton Kadar




Message received at request <at> debbugs.gnu.org:


Received: (at request) by debbugs.gnu.org; 24 Feb 2012 18:28:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 24 13:28:29 2012
Received: from localhost ([127.0.0.1]:54463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S0zsb-0006cX-3Y
	for submit <at> debbugs.gnu.org; Fri, 24 Feb 2012 13:28:29 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:59812)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1S0zsZ-0006cM-6Q
	for request <at> debbugs.gnu.org; Fri, 24 Feb 2012 13:28:28 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id 90E9AA60003;
	Fri, 24 Feb 2012 10:25:46 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id WJ6VNfiXu83g; Fri, 24 Feb 2012 10:25:46 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 131AEA60002;
	Fri, 24 Feb 2012 10:25:46 -0800 (PST)
Message-ID: <4F47D623.90708@HIDDEN>
Date: Fri, 24 Feb 2012 10:25:39 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:10.0) Gecko/20120131 Thunderbird/10.0
MIME-Version: 1.0
To: request <at> debbugs.gnu.org
Subject: Re: bug#9569: Duplicate of 9365
References: <4E7A3F6B.6000207@HIDDEN> <20120224150815.107140@HIDDEN>
In-Reply-To: <20120224150815.107140@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: request
Cc: Marton Kadar <marton.kadar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

forcemerge 9365 9569
thanks

On 02/24/2012 07:08 AM, Marton Kadar wrote:
> This is the same error as 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9365

Thanks, I'm merging the bug reports.




Message received at request <at> debbugs.gnu.org:


Received: (at request) by debbugs.gnu.org; 24 Feb 2012 18:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 24 13:32:15 2012
Received: from localhost ([127.0.0.1]:54472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S0zwA-0007Wc-SR
	for submit <at> debbugs.gnu.org; Fri, 24 Feb 2012 13:32:13 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:59984)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eggert@HIDDEN>) id 1S0zw7-0007WL-Ot
	for request <at> debbugs.gnu.org; Fri, 24 Feb 2012 13:32:08 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
	by smtp.cs.ucla.edu (Postfix) with ESMTP id 791CEA60003;
	Fri, 24 Feb 2012 10:29:27 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
	by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id O4kyIogK4dig; Fri, 24 Feb 2012 10:29:27 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
	by smtp.cs.ucla.edu (Postfix) with ESMTPSA id E2FA4A60002;
	Fri, 24 Feb 2012 10:29:26 -0800 (PST)
Message-ID: <4F47D706.2010609@HIDDEN>
Date: Fri, 24 Feb 2012 10:29:26 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:10.0) Gecko/20120131 Thunderbird/10.0
MIME-Version: 1.0
To: request <at> debbugs.gnu.org
Subject: Re: bug#10880: instead of characters, tr works on bytes
References: <20120224142912.107150@HIDDEN>
In-Reply-To: <20120224142912.107150@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: request
Cc: Marton Kadar <marton.kadar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

forcemerge 9365 10880
thanks

To add info to your existing bug report, you can send email
to <9365 <at> debbugs.gnu.org>; that way, the system doesn't
mistakenly open a new ticket for a new bug report.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 15 Sep 2012 10:30:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 15 06:30:00 2012
Received: from localhost ([127.0.0.1]:34898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TCpdQ-0008V1-6j
	for submit <at> debbugs.gnu.org; Sat, 15 Sep 2012 06:30:00 -0400
Received: from mx.meyering.net ([88.168.87.75]:49067)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jim@HIDDEN>)
	id 1TCpdN-0008Un-W7; Sat, 15 Sep 2012 06:29:58 -0400
Received: from rho.meyering.net (rho.meyering.net [127.0.0.1])
	by rho.meyering.net (Acme Bit-Twister) with ESMTP id E49B7601F7;
	Sat, 15 Sep 2012 12:28:54 +0200 (CEST)
From: Jim Meyering <jim@HIDDEN>
To: Michael Stummvoll <michael@HIDDEN>
Subject: Re: bug#12192: tr - bytes vs characters
In-Reply-To: <20120813145222.0450a1a8@eddie> (Michael Stummvoll's message of
	"Mon, 13 Aug 2012 14:52:22 +0200")
References: <20120813145222.0450a1a8@eddie>
Date: Sat, 15 Sep 2012 12:28:54 +0200
Message-ID: <87wqzvvau1.fsf@HIDDEN>
Lines: 37
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: control
Cc: 12192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

forcemerge 12192 9365
thanks

Michael Stummvoll wrote:
> Hi gnu folks,
>
> as already known, tr cannot handle multibyte-encodings like utf-8:
>
>> mst@eddie:~$ echo "foo" | tr o =F6
>> f=C3=C3
>
> i know, that multibyte encoding support is not needed for
> posix-compilance, BUT:
>
> the manpage of tr says the following:
>
>> Translate, squeeze, and/or delete characters from standard input,
>> writing to standard output.
>
> and thats the inconsistence imho.
>
> The typical interpretation of "character" in such a context means one
> character on display. regardless which encoding is used or how many
> bytes are used to display this. So, if tr realy translates "characters"
> it should preserve the encoding. If it doesn't do, it does not
> translate "characters" but "bytes". So there I see two ways:
>
> - add multybyte-encoding support to tr
> or
> - change the manpage and helptext to not say "characters" but "bytes"
>
> since it doesn't seem that somebody want to add the support to tr, an
> update of the manpage would be the easier way to ensure the consistence.

Thanks for the report.
I'm merging this issue with the others that relate to tr
and multi-byte support.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Jan 2013 12:23:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 06 07:23:25 2013
Received: from localhost ([127.0.0.1]:47129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TrpG9-0005xs-64
	for submit <at> debbugs.gnu.org; Sun, 06 Jan 2013 07:23:25 -0500
Received: from mx1.redhat.com ([209.132.183.28]:20124)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <P@HIDDEN>)
	id 1TrpG4-0005xb-KS; Sun, 06 Jan 2013 07:23:21 -0500
Received: from int-mx12.intmail.prod.int.phx2.redhat.com
	(int-mx12.intmail.prod.int.phx2.redhat.com [10.5.11.25])
	by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id r06CN0bp025753
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 6 Jan 2013 07:23:01 -0500
Received: from [10.36.116.39] (ovpn-116-39.ams2.redhat.com [10.36.116.39])
	by int-mx12.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP
	id r06CMvfH030424
	(version=TLSv1/SSLv3 cipher=DHE-RSA-CAMELLIA256-SHA bits=256 verify=NO);
	Sun, 6 Jan 2013 07:22:59 -0500
Message-ID: <50E96CA0.4030802@HIDDEN>
Date: Sun, 06 Jan 2013 12:22:56 +0000
From: =?ISO-8859-1?Q?P=E1draig_Brady?= <P@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:13.0) Gecko/20120615 Thunderbird/13.0.1
MIME-Version: 1.0
To: Urs Thuermann <urs@HIDDEN>
Subject: Re: bug#13362: tr does not work with UTF-8 locales
References: <ygf38yfalsz.fsf@HIDDEN>
In-Reply-To: <ygf38yfalsz.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.25
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by mx1.redhat.com id
	r06CN0bp025753
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: control
Cc: 13362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

forcemerge 13362 9365
thanks

On 01/05/2013 11:53 AM, Urs Thuermann wrote:
> The tr utility from coreutils-8.20 does not handle multi-byte
> characters in UTF-8 correctly.  It seems the arguments and standard
> input are read byte-by-byte instead of character-by-character.

We all agree that this is an issue.
Someone just needs to get the time to implement it.

thanks,
P=E1draig.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 15 Oct 2018 14:06:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 10:06:07 2018
Received: from localhost ([127.0.0.1]:50838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gC3VX-0006u9-Ec
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 10:06:07 -0400
Received: from mail-pf1-f181.google.com ([209.85.210.181]:45055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gC3VV-0006tg-UX
 for control <at> debbugs.gnu.org; Mon, 15 Oct 2018 10:06:06 -0400
Received: by mail-pf1-f181.google.com with SMTP id r9-v6so9729297pff.11
 for <control <at> debbugs.gnu.org>; Mon, 15 Oct 2018 07:06:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=tslEaETexaL5Plma/unGTsX6EP4DKD4xeOJEPvCMxto=;
 b=IgYFBuphZeO6ufK2R0ThohvlgQjuhoNFWS1LlcCSo1fBUKysCs/zlabxiMQtbAEcv9
 5lGZ2r6pLOmV6xqrPS+qDt2TeNf9PdqM87PuEWn/4x620EkidrGhTUDmK8QpzgVQzVAQ
 EbQlLs3N5jp0ConLqnjfIhq7aDCn8Xl50ynhkCdy0fANLzrY2EvRmD3m7uMjb5jb+xqH
 xS/hKhgbCyjDaI3jvxizDo6EABMqsRi+3b0sr7dxdtRTv6KUKh7gQ5PU0nHQE8YeQONT
 P9HPFS0vFx2QnpJxGkZmXHf+3XGL8HKXvVuDTlSNkqF/qZTLVqCRMbMCWIvHt6+ZEs5y
 n3hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=tslEaETexaL5Plma/unGTsX6EP4DKD4xeOJEPvCMxto=;
 b=BN3r7OXN8tmVFFClh/JaAHUbBcnAdSXiJ67IUn+im2fR1JlCkyNstmy7CewveTl3rI
 vnSXQ19OdA6Qp1kJFBuaGcoNBRzwMYw41tD8vZGNs6p+KVkRqseq9FvSPMt0jSjTDPMX
 mTl7/OUUicxSa42ymRGVWKwy+eldyLKFF2WgL6mhMSZZXaqgQHErZbsyshfA9Tm1AP9n
 m5S7nzWYoRABBjQeUfpMZUOTVocTfC2NLLWQ7t3voQlPJH4k+FeCZC+MqQN/p+8OPxzU
 kFK3LSse0N4xr5hs4MNgeUfpxgSUlJWXlkBAjD74LRDzK9UzaXZnfGEpez1iMWr9MNLu
 oS0A==
X-Gm-Message-State: ABuFfogF5FahDcLajf6++HIxsfi3VRUE8JU/09QQUb42o/IqgSydVRRq
 3Vo6uKUbR8M+YV87LQ8Js2Dg6zzjDqI=
X-Google-Smtp-Source: ACcGV630bCAJkl8c383Nvxde4mlHBbauHW61q0zd37Y2dEOjIhXh0u6sXrtKgN3rwQfCYT0iTqNkyg==
X-Received: by 2002:a62:67c3:: with SMTP id
 t64-v6mr10225425pfj.76.1539612359472; 
 Mon, 15 Oct 2018 07:05:59 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 h77-v6sm21227916pfh.13.2018.10.15.07.05.57
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Oct 2018 07:05:57 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <b1e0e40e-d722-270a-27d8-972ceaf1ec2b@HIDDEN>
Date: Mon, 15 Oct 2018 08:05:56 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 9365 wishlist retitle 9365 multibyte: tr: TR
 operates
 on bytes, not characters retitle 9446 cp: acl preservation problem on FreeBSD
 8.1 severity 9472 wishlist [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.181 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.181 listed in list.dnswl.org]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 9365 wishlist
retitle 9365 multibyte: tr: TR operates on bytes, not characters


retitle 9446 cp: acl preservation problem on FreeBSD 8.1

severity 9472 wishlist






Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 15 Oct 2018 14:06:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 10:06:07 2018
Received: from localhost ([127.0.0.1]:50838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gC3VX-0006u9-Ec
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2018 10:06:07 -0400
Received: from mail-pf1-f181.google.com ([209.85.210.181]:45055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gC3VV-0006tg-UX
 for control <at> debbugs.gnu.org; Mon, 15 Oct 2018 10:06:06 -0400
Received: by mail-pf1-f181.google.com with SMTP id r9-v6so9729297pff.11
 for <control <at> debbugs.gnu.org>; Mon, 15 Oct 2018 07:06:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=tslEaETexaL5Plma/unGTsX6EP4DKD4xeOJEPvCMxto=;
 b=IgYFBuphZeO6ufK2R0ThohvlgQjuhoNFWS1LlcCSo1fBUKysCs/zlabxiMQtbAEcv9
 5lGZ2r6pLOmV6xqrPS+qDt2TeNf9PdqM87PuEWn/4x620EkidrGhTUDmK8QpzgVQzVAQ
 EbQlLs3N5jp0ConLqnjfIhq7aDCn8Xl50ynhkCdy0fANLzrY2EvRmD3m7uMjb5jb+xqH
 xS/hKhgbCyjDaI3jvxizDo6EABMqsRi+3b0sr7dxdtRTv6KUKh7gQ5PU0nHQE8YeQONT
 P9HPFS0vFx2QnpJxGkZmXHf+3XGL8HKXvVuDTlSNkqF/qZTLVqCRMbMCWIvHt6+ZEs5y
 n3hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=tslEaETexaL5Plma/unGTsX6EP4DKD4xeOJEPvCMxto=;
 b=BN3r7OXN8tmVFFClh/JaAHUbBcnAdSXiJ67IUn+im2fR1JlCkyNstmy7CewveTl3rI
 vnSXQ19OdA6Qp1kJFBuaGcoNBRzwMYw41tD8vZGNs6p+KVkRqseq9FvSPMt0jSjTDPMX
 mTl7/OUUicxSa42ymRGVWKwy+eldyLKFF2WgL6mhMSZZXaqgQHErZbsyshfA9Tm1AP9n
 m5S7nzWYoRABBjQeUfpMZUOTVocTfC2NLLWQ7t3voQlPJH4k+FeCZC+MqQN/p+8OPxzU
 kFK3LSse0N4xr5hs4MNgeUfpxgSUlJWXlkBAjD74LRDzK9UzaXZnfGEpez1iMWr9MNLu
 oS0A==
X-Gm-Message-State: ABuFfogF5FahDcLajf6++HIxsfi3VRUE8JU/09QQUb42o/IqgSydVRRq
 3Vo6uKUbR8M+YV87LQ8Js2Dg6zzjDqI=
X-Google-Smtp-Source: ACcGV630bCAJkl8c383Nvxde4mlHBbauHW61q0zd37Y2dEOjIhXh0u6sXrtKgN3rwQfCYT0iTqNkyg==
X-Received: by 2002:a62:67c3:: with SMTP id
 t64-v6mr10225425pfj.76.1539612359472; 
 Mon, 15 Oct 2018 07:05:59 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 h77-v6sm21227916pfh.13.2018.10.15.07.05.57
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Oct 2018 07:05:57 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <b1e0e40e-d722-270a-27d8-972ceaf1ec2b@HIDDEN>
Date: Mon, 15 Oct 2018 08:05:56 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 9365 wishlist retitle 9365 multibyte: tr: TR
 operates
 on bytes, not characters retitle 9446 cp: acl preservation problem on FreeBSD
 8.1 severity 9472 wishlist [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.181 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.181 listed in list.dnswl.org]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 9365 wishlist
retitle 9365 multibyte: tr: TR operates on bytes, not characters


retitle 9446 cp: acl preservation problem on FreeBSD 8.1

severity 9472 wishlist







Last modified: Mon, 15 Oct 2018 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.